#ifndef __TLCCMD_HPP
#define __TLCCMD_HPP

#include "tlccmd.h"
#include "tlcapi.hpp"

class CTlcCommand {
public:
    CHAR* m_pszAbbr;
    CHAR* m_pszCmd;
    GBOOL m_bNeedSpace;
    GBOOL m_bTermOnly;
    GBOOL m_silent;

public:
    CTlcCommand(
    const CHAR* pszLong,
    const CHAR* pszShort,
    SHORT fNSpace=SPACE_DELIM,
    GBOOL bTOnly=FALSE);

    CTlcCommand(LPCMDSTRUCT stCmd);

    SHORT
    DoCmd(
    CCommandParam* pParam,
    GBOOL silentcheck);

    virtual ~CTlcCommand();

    virtual
    SHORT
    DoCmd(
    CCommandParam* pParam);
};

#endif // __TLCCMD_HPP

